package com.kamco.cd.training.postgres.repository.train;

import com.kamco.cd.training.postgres.entity.ModelTrainJobEntity;
import java.util.List;
import java.util.Optional;

public interface ModelTrainJobRepositoryCustom {
  int findMaxAttemptNo(Long modelId);

  Optional<ModelTrainJobEntity> findLatestByModelId(Long modelId);

  Optional<ModelTrainJobEntity> findByContainerName(String containerName);

  void insertModelTestTrainingRun(Long modelId, Long jobId, int epoch);

  List<ModelTrainJobEntity> findRunningJobs();
}
